<?php
session_start(); // start session cookies
include("../login_config.php");
require("../inc/Login.class.php");
$login = new Login; // create object login

$login->authorize(); // make user login

require_once 'HeatMiser/Wifi.php';
require_once '../heating_config.php';

try {
    // ip, pin, optional port
    $hm = new \PhilLavin\HeatMiser\Wifi($heatmiser_ip, $heatmiser_pin);
    $dcb = $hm->get_dcb();
    if ($_REQUEST['holiday_status'] == "Disable")
    {
    	$dcb->set_holiday_enabled(0);
    }
    else
    {
    	$dcb->set_holiday($_REQUEST['date1']." ".str_pad($_REQUEST['hour'], 2, '0', STR_PAD_LEFT).":".str_pad($_REQUEST['min'], 2, '0', STR_PAD_LEFT).":00");
			$dcb->set_holiday_enabled(1);
    }
    $hm->put_dcb($dcb);
    
    header('Location: index.php');
}
catch (\PhilLavin\HeatMiser\ConnectionFailedException $e) {
    die("Failed to connect: ".$e->getMessage()."\n");
}
catch (\Exception $e) {
    die("Exception of type ".get_class($e)." thrown. Error was: {$e->getMessage()}\n");
}
