<?php
session_start(); // start session cookies
include("../login_config.php");
require("../inc/Login.class.php");
$login = new Login; // create object login

$login->authorize(); // make user login

require_once 'HeatMiser/Wifi.php';
require_once '../heating_config.php';

try {
    // ip, pin, optional port
    $hm = new \PhilLavin\HeatMiser\Wifi($heatmiser_ip, $heatmiser_pin);
    $dcb = $hm->get_dcb();

		$heat_data = $dcb['heat_data'];

    for ($i=0; $i<4; $i++)
    {
    	$heat_data['1-5'][$i] = array('time'=>str_pad($_REQUEST['hour'][$i], 2, '0', STR_PAD_LEFT).':'.str_pad($_REQUEST['min'][$i], 2, '0', STR_PAD_LEFT).':00', 'target'=>$_REQUEST['temp'][$i]);
    }
    for ($i=0; $i<4; $i++)
    {
    	$heat_data['6-7'][$i] = array('time'=>str_pad($_REQUEST['hour'][$i+4], 2, '0', STR_PAD_LEFT).':'.str_pad($_REQUEST['min'][$i+4], 2, '0', STR_PAD_LEFT).':00', 'target'=>$_REQUEST['temp'][$i+4]);
    }
		
    $dcb->set_heat_data($heat_data);

    $hm->put_dcb($dcb);
    
    header('Location: index.php');
}
catch (\PhilLavin\HeatMiser\ConnectionFailedException $e) {
    die("Failed to connect: ".$e->getMessage()."\n");
}
catch (\Exception $e) {
    die("Exception of type ".get_class($e)." thrown. Error was: {$e->getMessage()}\n");
}
