<?php
session_start(); // start session cookies
include("../login_config.php");
require("../inc/Login.class.php");
$login = new Login; // create object login

$login->authorize(); // make user login

require_once '../heating_config.php';
require_once 'HeatMiser/Wifi.php';

try {
    // ip, pin, optional port
    $hm = new \PhilLavin\HeatMiser\Wifi($heatmiser_ip, $heatmiser_pin);
    $dcb = $hm->get_dcb();
}
catch (\PhilLavin\HeatMiser\ConnectionFailedException $e) {
    die("Failed to connect: ".$e->getMessage()."\n");
}
catch (\Exception $e) {
    die("Exception of type ".get_class($e)." thrown. Error was: {$e->getMessage()}\n");
}

$time = preg_split("/[: -]/", $dcb["holiday"]);
?>


<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width; initial-scale=1.0; maximum-scale=1.0;">
    <title>House Control</title>
    <link href="../css/style.css" rel="stylesheet" type="text/css" />
	  <link rel="stylesheet" href="../css/jquery-ui.css">
	  <script src="../js/jquery-1.10.2.js"></script>
	  <script src="../js/jquery-ui.js"></script>
    
<script type="text/javascript">
    $(function() {
        $('#datepicker').datepicker({altField: '#date1'});
        $('#datepicker').datepicker("setDate", "<?php echo($time[1]."/".$time[2]."/".$time[0]) ?>");
				$('#datepicker').datepicker("option", "dateFormat", "yy-mm-dd" );
    });
    </script>
    
</head>
<body>
	<header>
        <div class="logo">
            <a href="index.php">
                House Heating System
            </a>
        </div>
    </header>    
    <div class="content">
		<article class="underline">
			<h2>Holiday Status</h2>
    	<p>Holiday Mode is currently <?php echo($dcb['holiday_enabled'] == 1 ? "Enabled" : "Disabled") ?></p>
    </article>
    <article class="underline">
    	<h2>Set Holiday</h2>
			<form action="heatmiser_holiday_update.php" method="get" class="label-top">
				<p>Time: 
<?php
echo('<select name="hour" id="select-choice">
');

	for ($i = 0; $i < 24; $i++)
	{
		if (($time[3] >= $i) && ($time[3] < $i + 1)) 	{	$selected = " selected"; } else { $selected = "";	}
		echo("<option value='".$i."'".$selected.">".str_pad($i, 2, '0', STR_PAD_LEFT)."</option>\r\n");
	}
	echo('</select>');
	echo(':');
	echo('<select name="min" id="select-choice">
');
	for ($i = 0; $i < 59; $i+=15)
	{
		if (($time[4] >= $i) && ($time[4] < $i + 15)) 	{	$selected = " selected"; } else { $selected = "";	}
		echo("<option value='".$i."'".$selected.">".str_pad($i, 2, '0', STR_PAD_LEFT)."</option>\r\n");
	}
	echo('</select>');
	?>
				</p>
				<p>
					<div id="datepicker"></div>
					<input type="hidden" size="10" name="date1"  id="date1"/>
				</p>
				<p>
					<input type="submit" name="holiday_status" value="Enable" />
					<input type="submit" name="holiday_status" value="Disable" />
				</p>
			</form>
    </article>
    
    </div>
    <footer>
		<nav class="vertical menu">
            <ul>
                <li><a href="index.php">Back</a></li>
            </ul>
        </nav> 
        <p class="copy"><a href="../">House Control</a> | <a href="index.php?action=clear_login">Logout</a></p>
    </footer>
</body>
</html>
