<?php
session_start(); // start session cookies
include("../login_config.php");
require("../inc/Login.class.php");
$login = new Login; // create object login

$login->authorize(); // make user login

require_once '../heating_config.php';
require_once 'HeatMiser/Wifi.php';

try {
    // ip, pin, optional port
    $hm = new \PhilLavin\HeatMiser\Wifi($heatmiser_ip, $heatmiser_pin);
    $dcb = $hm->get_dcb();
    $hm->put_dcb($dcb);
    $dcb = $hm->get_dcb();
}
catch (\PhilLavin\HeatMiser\ConnectionFailedException $e) {
    die("Failed to connect: ".$e->getMessage()."\n");
}
catch (\Exception $e) {
    die("Exception of type ".get_class($e)." thrown. Error was: {$e->getMessage()}\n");
}
function output_form_row($data,$units)
{
	$time = preg_split("/[:]/", $data["time"]);
	echo('<select name="hour[]" id="select-choice">
');

	for ($i = 0; $i < 24; $i++)
	{
		if (($time[0] >= $i) && ($time[0] < $i + 1)) 	{	$selected = " selected"; } else { $selected = "";	}
		echo("<option value='".$i."'".$selected.">".str_pad($i, 2, '0', STR_PAD_LEFT)."</option>\r\n");
	}
	echo('</select>');
	echo(':');
	echo('<select name="min[]" id="select-choice">
');
	for ($i = 0; $i < 59; $i+=30)
	{
		if (($time[1] >= $i) && ($time[1] < $i + 30)) 	{	$selected = " selected"; } else { $selected = "";	}
		echo("<option value='".$i."'".$selected.">".str_pad($i, 2, '0', STR_PAD_LEFT)."</option>\r\n");
	}
	echo('</select>');
	echo(' - ');
	echo('<select name="temp[]" id="select-choice">
');
	for ($i = 14; $i < 23; $i++)
	{
		if (($data["target"] >= $i) && ($data["target"] < $i + 1)) 	{	$selected = " selected"; } else { $selected = "";	}
		echo("<option value='".$i."'".$selected.">".$i." &deg;".$units."</option>\r\n");
	}
	echo('</select>');
}

?>


<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width; initial-scale=1.0; maximum-scale=1.0;">
    <title>House Control</title>
    <link href="../css/style.css" rel="stylesheet" type="text/css" />
</head>
<body>
	<header>
        <div class="logo">
            <a href="index.php">
                House Heating System
            </a>
        </div>
    </header>    
    <div class="content">

		<form action="heatmiser_program.php" method="get" class="label-top">
    <article class="underline">
    	<h2>Weekday</h2>
			<p>
					<div><span class="a">W:</span> <span class="b"><?php output_form_row($dcb["heat_data"]["1-5"][0],$dcb['units']); ?></span></div>
					<div><span class="a">L:</span> <span class="b"><?php output_form_row($dcb["heat_data"]["1-5"][1],$dcb['units']); ?></span></div>
					<div><span class="a">R:</span> <span class="b"><?php output_form_row($dcb["heat_data"]["1-5"][2],$dcb['units']); ?></span></div>
					<div><span class="a">S:</span> <span class="b"><?php output_form_row($dcb["heat_data"]["1-5"][3],$dcb['units']); ?></span></div>
			</p>
    </article>
    <article class="underline">
    	<h2>Weekend</h2>
			<p>
					<div><span class="a">W:</span> <span class="b"><?php output_form_row($dcb["heat_data"]["6-7"][0],$dcb['units']); ?></span></div>
					<div><span class="a">L:</span> <span class="b"><?php output_form_row($dcb["heat_data"]["6-7"][1],$dcb['units']); ?></span></div>
					<div><span class="a">R:</span> <span class="b"><?php output_form_row($dcb["heat_data"]["6-7"][2],$dcb['units']); ?></span></div>
					<div><span class="a">S:</span> <span class="b"><?php output_form_row($dcb["heat_data"]["6-7"][3],$dcb['units']); ?></span></div>
			</p>
    </article>
    <article class="underline">
				<p>
					<input type="reset" name="reset" value="Reset"> <input type="submit" name="submit" value="          Update          " />
				</p>
    </article>
		</form>
    


    
    </div>
    <footer>
			<nav class="vertical menu">
            <ul>
                <li><a href="index.php">Back</a></li>
            </ul>
        </nav> 
        <p class="copy"><a href="../">House Control</a> | <a href="index.php?action=clear_login">Logout</a></p>
    </footer>
</body>
</html>
