<?php
session_start(); // start session cookies
include("../login_config.php");
require("../inc/Login.class.php"); // pull in file
$login = new Login; // create object login

$login->authorize(); // make user login
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>

    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
        <title>House Temperature Logs</title>
        <style type="text/css">
		    	html, body {
		    		height: 100%;
		    		margin: 0;
		    	}
    		</style>
        <link rel="stylesheet" href="style.css" type="text/css">

        <script src="amcharts/amcharts.js" type="text/javascript"></script>
        <script src="amcharts/serial.js" type="text/javascript"></script>
        <script src="amcharts/themes/dark.js" type="text/javascript"></script>

        <script type="text/javascript">
        	var chart;
					var chartData;
					var request;
	       	
	       	
	       	function loadChartData(file) {
							if (window.XMLHttpRequest) {
					        // IE7+, Firefox, Chrome, Opera, Safari
					        request = new XMLHttpRequest();
					    } else {
					        // code for IE6, IE5
					        request = new ActiveXObject('Microsoft.XMLHTTP');
					    }
					    request.open('GET', file, true);
					    request.send();
					    
					    request.onload = function(e) {
					    		chartData = [];
							    data = request.responseText;
							    request.abort();
								
		              //replace UNIX new lines
		              data = data.replace(/\r\n/g, "\n");
		              //replace MAC new lines
		              data = data.replace(/\r/g, "\n");
		              //split into rows
		              var rows = data.split("\n");
		
		              // loop through all rows
		              for (var i = 0; i < rows.length; i++) {
		                  // this line helps to skip empty rows
		                  if (rows[i]) {
		                      // our columns are separated by comma
		                      var column = rows[i].split(",");
		
		                      // column is array now
		                      // first item is date
		                      var date = column[0];
		                      // second item is value of the second column
		                      var temp = column[1];
		                      var target = column[2];
		                      var heating = column[3];
		                      var external = column[4];
		
		                      // create object which contains all these items:
		                      var dataObject = {
		                          datetime: date,
		                          temp: temp,
		                          target: target,
		                          heating: heating,
		                          external: external,
		                      };
		                      // add object to chartData array
		                      chartData.push(dataObject);
		                  }
		              }
									chart = AmCharts.makeChart("chartdiv", {
									    "type": "serial",
									    "theme": "dark",
									    "pathToImages": "amcharts/images/",
									    "dataProvider": chartData,
									    "dataDateFormat": "YYYY/MM/DD JJ:NN",
									    "valueAxes": [{
									        "id":"temp",
									        "axisAlpha": 0.2,
									        "dashLength": 1,
									        "position": "left"
									    },{
									        "id":"temp2",
									        "axisAlpha": 0.2,
									        "dashLength": 1,
									        "position": "right",
									        "gridAlpha": 0
									    },{
									    		"id":"bool",
									        "axisAlpha": 0,
									        "dashLength": 0,
									        "position": "right",
									        "gridAlpha": 0,
									        "maximum": 1,
									        "labelsEnabled": false
									    }],
									    "mouseWheelZoomEnabled":true,
									    "graphs": [{
									    		"valueAxis": "temp",
									        "id":"temp",
									        "balloonText": "Internal Temp: [[value]]",
									        "bullet": "round",
									        "bulletBorderAlpha": 1,
													"bulletColor":"#FFFFFF",
									        "hideBulletsCount": 50,
									        "title": "Internal Temp",
									        "valueField": "temp",
													"useLineColorForBulletBorder":true
									    },{
									    		"valueAxis": "temp",
									        "id":"external",
									        "balloonText": "External Temp: [[value]]",
									        "bullet": "round",
									        "bulletBorderAlpha": 1,
													"bulletColor":"#FFFFFF",
									        "hideBulletsCount": 50,
									        "title": "External Temp",
									        "valueField": "external",
													"useLineColorForBulletBorder":true
									    },{
									    		"valueAxis": "temp",
									        "id":"target",
									        "type":"step",
									        "balloonText": "Target Temp: [[value]]",
									        "hideBulletsCount": 50,
									        "title": "red line",
									        "valueField": "target",
													"useLineColorForBulletBorder":true
									    },{
									    		"valueAxis": "bool",
									        "id":"heating",
									        "type":"step",
        									"fillAlphas": 0.2,
        									"lineAlpha" : 0,
       	 									"fillColors": "#FC5C51",
									        "balloonText": "Heating Active: [[value]]",
									        "hideBulletsCount": 50,
									        "title": "red line",
									        "valueField": "heating",
									    }],
									    "chartScrollbar": {
									        "autoGridCount": true,
									        "graph": "temp",
									        "scrollbarHeight": 40
									    },
									    "chartCursor": {
				        					"categoryBalloonDateFormat": "YYYY MMM DD JJ:NN",
									        "cursorPosition": "mouse"
									    },
									    "categoryField": "datetime",
									    "categoryAxis": {
									        "parseDates": true,
									        "minPeriod" : "ss",
									        "axisColor": "#DADADA",
									        "dashLength": 1,
									        "minorGridEnabled": true,
									    },
										"exportConfig":{
										  menuRight: '20px',
									      menuBottom: '30px',
									      menuItems: [{
									      icon: 'amcharts/images/export.png',
									      format: 'png'	  
									      }]  
										}
									});
									
									chart.addListener("rendered", zoomChart);
									zoomChart();
							}
					}
					
					// this method is called when chart is first inited as we listen for "dataUpdated" event
					function zoomChart() {
					    // different zoom methods can be used - zoomToIndexes, zoomToDates, zoomToCategoryValues
					    chart.zoomToIndexes(chartData.length - 200, chartData.length - 1);
					}
        </script>
    </head>

    <body  onload="loadChartData('get_data.php')">
        <div id="chartdiv" style="width:100%; min-height:100%;"></div>
    </body>

</html>